Package org.codehaus.groovy.ast.expr

# Interface MethodCall

All Known Implementing Classes:
  `ConstructorCallExpression`, `MethodCallExpression`, `StaticMethodCallExpression`

public interface MethodCall
Interface defining common methods for method calls.

Since:
  2.1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Expression`
  `getArguments()`
  `String`
  `getMethodAsString()`
  `ASTNode`
  `getReceiver()`
  `String`
  `getText()`

- ## Method Details

  - ### getReceiver

    ASTNode getReceiver()

  - ### getMethodAsString

    String getMethodAsString()

  - ### getArguments

    Expression getArguments()

  - ### getText

    String getText()